Bug 496713 - Conga does not have SSH option for Dell DRAC
Conga does not have SSH option for Dell DRAC
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Jim Parsons
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2009-04-20 15:47 EDT by Vinny Valdez
Modified: 2016-04-26 11:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-22 14:33:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vinny Valdez 2009-04-20 15:47:14 EDT
Description of problem:
Conga does not allow SSH to be selected while configuring a Dell DRAC, as added in BZ# 232492.  Currently to enable SSH support for a DRAC, a user has to select "Dell DRAC", then modify the cluster.conf and change the fencing_agent to "fence_drac5" from "fence_drac", and add the option 'secure="1"'.

Version-Release number of selected component (if applicable):
RHEL 5.3 and cman-2.0.98-1.el5

How reproducible:

Steps to Reproduce:
1. Install a cluster using Conga
2. Select a node and configure a fencing method
3. View options for "Dell DRAC"
Actual results:
The agent "fence_drac" is used, which does not have SSH support.

Expected results:
SSH should be selectable as an option here, or another entry available for the fence_drac5 agent.
Comment 1 Vinny Valdez 2009-04-20 16:19:44 EDT
Conga version:

Also, since I typed the link in wrong, SSH support was added in bug 232492.
Comment 2 Vinny Valdez 2009-04-22 14:33:36 EDT
It turns out Dell's internal RHN satellite does not have the latest version of luci, I tested this with luci-0.12.1-7.3.el5_3 and the option for SSH is in Conga, and uses the fence_drac5 agent.

Note You need to log in before you can comment on or make changes to this bug.